# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc获取套包列表_商品详情页面跳转,2264,2264-28,sit,bs
主数据平台:运营后台管理系统套包列表查询和获取套包列表getFreseniusGroup
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username4")
password = commonFuc().get_business_data(module, "password4")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步进行套包列表获取
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url1")
request_body = commonFuc().get_business_data(module, "payload22_1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
group_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取套包中商品信息productLineCode、companyCode和套包信息groupCode
product_line_code = result["data"]["list"][group_random]["productLineCode"]
company_code = result["data"]["list"][group_random]["products"][0]["companyCode"]
group_code = result["data"]["list"][group_random]["groupCode"]
print(group_code)
# 第三步获取商品对应的套包信息
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url26")
request_body = commonFuc().get_business_data(module, "payload26", product_line_code, company_code)
print(request_body)
"""

 场景:验证套包商品详情是否显示套包信息
 用例名称：验证套包商品详情是否显示套包信息
 输出：{"groupCode":"%s"}
 
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
print(result)
for i in result["data"]:
    # 商品可能存在于多个套包，循环找到对应的套包验证
    if i["groupCode1"] == group_code:
        # 获取商品对应的groupCode
        result = {"groupCode": i["subList"]["groupCode"]}

        result["api_time"] = api_time
        # 获取预期结果
        check_dict = commonFuc().get_business_data(module, "checkDict25", group_code)
        # 断言实际结果中是否包含预期结果的内容
        commonFuc().check_result(check_dict, result)
    break
